import { requestClient } from '#/api/request';

async function getRobotStatistics() {
  return requestClient.post('/auth/HomePage/getRobotStatistics');
}

async function getConsumptionStatistics(param) {
  return requestClient.post('/auth/HomePage/getConsumptionStatistics', param);
}

async function getLiveRoomStatistics(param) {
  return requestClient.post('/auth/HomePage/getLiveRoomStatistics', param);
}

async function getChatActivityStatistics(param) {
  return requestClient.post('/auth/HomePage/getChatActivityStatistics', param);
}

export const homePage = {
  getRobotStatistics,
  getConsumptionStatistics,
  getLiveRoomStatistics,
  getChatActivityStatistics,
}
